<?php

/**
 * This File contains QUI\Sensor\GrovePi
 */

namespace QUI\Sensor;

/**
 * GrovePi Sensor Class
 *
 * @author www.pcsg.de (Henning Leutz)
 */

class GrovePi extends Sensor
{
    /**
     * path for the python execution
     * @var String
     */
    protected $_execPath = '';

    /**
     * constructor
     *
     * @param Integer $id - id of the sensor
     */
    public function __construct($id)
    {
        parent::__construct( $id );

        $this->_execPath = dirname( dirname( dirname( dirname( __FILE__ ) ) ) ) .'/python/';
    }

    /**
     * (non-PHPdoc)
     * @see \QUI\Sensor\Sensor::readPin()
     */
    public function readPin()
    {
        $pin = $this->getPin();
        $pin = \QUI\Utils\Security\Orthos::clear( $pin );

        $result = shell_exec( "{$this->_execPath}python grovepi_read.py {$pin}" );

        return $result;
    }
}
