#!/usr/bin/python
# -*- coding: UTF-8 -*-

'''

GrovePI API Script

Schnittstelle über die Konsole um einzelne Pins anzusprechen

@author www.pcsg.de (Henning Leutz)

@exampe python grovepi_read.py A0
@exampe python grovepi_read.py A1
@exampe python grovepi_read.py D0

'''

import sys

try:

    import smbus
    import time
    import grovepi

    # This is the address we setup in the Arduino Program
    address = 0x04
    # for RPI version 1, use "bus = smbus.SMBus(0)"
    #bus = smbus.SMBus(0)

    argvLen   = len(sys.argv);
    sensorPin = sys.argv[1]

    readType = sensorPin[:1]
    readPin  = int( sensorPin[1:2] )


    if readType == "D":
        print grovepi.digitalRead( readPin )

    # Analog read
    elif readType == "A":
        print grovepi.analogRead( readPin )

    else:
        print "Sensor Pin not found";


except IOError as e:
    print "I/O error({0}): {1}".format(e.errno, e.strerror)
